#!/usr/bin/env bash

set -e

# Build static site
zig build

# Build comments app
pushd comments
if [ $(uname -m) != "aarch64" ]
then
   echo "must build on aarch64 for now"
   exit
fi
zig build -Doptimize=ReleaseSafe -Dcpu=baseline
popd

# Copy static site
rsync -rz zig-out/* root@rpi3:/var/www/mfashby.net

# Copy comments app
rsync comments/zig-out/bin/comments root@rpi3:/usr/local/bin/comments
